[OPENAM] Building from source, fixing environment

classic Classic list List threaded Threaded
2 messages Options
Reply | Threaded
Open this post in threaded view
|  
Report Content as Inappropriate

[OPENAM] Building from source, fixing environment

Yakov Revyakin
Hi guys,
Excuse me but I a little bit lost myself trying to build openam from source.
Could you advice me where here I can ask questions about building process?
I have problems with building the "openam-ui-ria" task on Windows 7(64).

Just in case, I have the next behaviour:

[INFO] > node-pre-gyp install --fallback-to-build
[INFO]
[ERROR] node-pre-gyp ERR! Pre-built binaries not found for fsevents@1.0.14 and node@4.4.7 (node-v46 ABI) (falling back to source compile with node-gyp)
[INFO]
[INFO] C:\Projects\openam\openam-ui\openam-ui-ria\node_modules\fsevents>if not defined npm_config_node_gyp (node "C:\Projects\openam\openam-ui\openam-ui-ria\node\node_modules\npm\bin\node-gyp-bin\\..\..\node_modules\node-gyp\bin\node-gyp.js" clean )  else (node "" clean )
[INFO]
[INFO] C:\Projects\openam\openam-ui\openam-ui-ria\node_modules\fsevents>if not defined npm_config_node_gyp (node "C:\Projects\openam\openam-ui\openam-ui-ria\node\node_modules\npm\bin\node-gyp-bin\\..\..\node_modules\node-gyp\bin\node-gyp.js" configure --fallback-to-build --module=C:\Projects\openam\openam-ui\openam-ui-ria\node_modules\fsevents\lib\binding\Release\node-v46-win32-x64\fse.node --module_name=fse --module_path=C:\Projects\openam\openam-ui\openam-ui-ria\node_modules\fsevents\lib\binding\Release\node-v46-win32-x64 )  else (node "" configure --fallback-to-build --module=C:\Projects\openam\openam-ui\openam-ui-ria\node_modules\fsevents\lib\binding\Release\node-v46-win32-x64\fse.node --module_name=fse --module_path=C:\Projects\openam\openam-ui\openam-ui-ria\node_modules\fsevents\lib\binding\Release\node-v46-win32-x64 )
[ERROR] Traceback (most recent call last):
[ERROR]   File "C:\Projects\openam\openam-ui\openam-ui-ria\node\node_modules\npm\node_modules\node-gyp\gyp\gyp_main.py", line 16, in <module>
[ERROR]     sys.exit(gyp.script_main())
[ERROR]   File "C:\Projects\openam\openam-ui\openam-ui-ria\node\node_modules\npm\node_modules\node-gyp\gyp\pylib\gyp\__init__.py", line 545, in script_main
[ERROR]     return main(sys.argv[1:])
[ERROR]   File "C:\Projects\openam\openam-ui\openam-ui-ria\node\node_modules\npm\node_modules\node-gyp\gyp\pylib\gyp\__init__.py", line 538, in main
[ERROR]     return gyp_main(args)
[ERROR]   File "C:\Projects\openam\openam-ui\openam-ui-ria\node\node_modules\npm\node_modules\node-gyp\gyp\pylib\gyp\__init__.py", line 523, in gyp_main
[ERROR]     generator.GenerateOutput(flat_list, targets, data, params)
[ERROR]   File "C:\Projects\openam\openam-ui\openam-ui-ria\node\node_modules\npm\node_modules\node-gyp\gyp\pylib\gyp\generator\msvs.py", line 2003, in GenerateOutput
[ERROR]     sln_projects, project_objects, flat=msvs_version.FlatSolution())
[ERROR]   File "C:\Projects\openam\openam-ui\openam-ui-ria\node\node_modules\npm\node_modules\node-gyp\gyp\pylib\gyp\generator\msvs.py", line 1762, in _GatherSolutionFolders
[ERROR]     return _DictsToFolders('', root, flat)
[ERROR]   File "C:\Projects\openam\openam-ui\openam-ui-ria\node\node_modules\npm\node_modules\node-gyp\gyp\pylib\gyp\generator\msvs.py", line 1715, in _DictsToFolders
[ERROR]     for folder, contents in bucket.iteritems():
[ERROR] AttributeError: 'MSVSProject' object has no attribute 'iteritems'
[ERROR] gyp ERR! configure error
[ERROR] gyp ERR! stack Error: `gyp` failed with exit code: 1
[ERROR] gyp ERR! stack     at ChildProcess.onCpExit (C:\Projects\openam\openam-ui\openam-ui-ria\node\node_modules\npm\node_modules\node-gyp\lib\configure.js:305:16)
[ERROR] gyp ERR! stack     at emitTwo (events.js:87:13)
[ERROR] gyp ERR! stack     at ChildProcess.emit (events.js:172:7)
[ERROR] gyp ERR! stack     at Process.ChildProcess._handle.onexit (internal/child_process.js:200:12)
[ERROR] gyp ERR! System Windows_NT 6.1.7601
[ERROR] gyp ERR! command "C:\\Projects\\openam\\openam-ui\\openam-ui-ria\\node\\node.exe" "C:\\Projects\\openam\\openam-ui\\openam-ui-ria\\node\\node_modules\\npm\\node_modules\\node-gyp\\bin\\node-gyp.js" "configure" "--fallback-to-build" "--module=C:\\Projects\\openam\\openam-ui\\openam-ui-ria\\node_modules\\fsevents\\lib\\binding\\Release\\node-v46-win32-x64\\fse.node" "--module_name=fse" "--module_path=C:\\Projects\\openam\\openam-ui\\openam-ui-ria\\node_modules\\fsevents\\lib\\binding\\Release\\node-v46-win32-x64"
[ERROR] gyp ERR! cwd C:\Projects\openam\openam-ui\openam-ui-ria\node_modules\fsevents
[ERROR] gyp ERR! node -v v4.4.7
[ERROR] gyp ERR! node-gyp -v v3.4.0
[ERROR] gyp ERR! not ok
[ERROR] node-pre-gyp ERR! build error
[ERROR] node-pre-gyp ERR! stack Error: Failed to execute 'node-gyp.cmd configure --fallback-to-build --module=C:\Projects\openam\openam-ui\openam-ui-ria\node_modules\fsevents\lib\binding\Release\node-v46-win32-x64\fse.node --module_name=fse --module_path=C:\Projects\openam\openam-ui\openam-ui-ria\node_modules\fsevents\lib\binding\Release\node-v46-win32-x64' (1)
[ERROR] node-pre-gyp ERR! stack     at ChildProcess.<anonymous> (C:\Projects\openam\openam-ui\openam-ui-ria\node_modules\fsevents\node_modules\node-pre-gyp\lib\util\compile.js:83:29)
[ERROR] node-pre-gyp ERR! stack     at emitTwo (events.js:87:13)
[ERROR] node-pre-gyp ERR! stack     at ChildProcess.emit (events.js:172:7)
[INFO] Failed to execute 'node-gyp.cmd configure --fallback-to-build --module=C:\Projects\openam\openam-ui\openam-ui-ria\node_modules\fsevents\lib\binding\Release\node-v46-win32-x64\fse.node --module_name=fse --module_path=C:\Projects\openam\openam-ui\openam-ui-ria\node_modules\fsevents\lib\binding\Release\node-v46-win32-x64' (1)
[ERROR] node-pre-gyp ERR! stack     at maybeClose (internal/child_process.js:827:16)
[ERROR] node-pre-gyp ERR! stack     at Process.ChildProcess._handle.onexit (internal/child_process.js:211:5)
[ERROR] node-pre-gyp ERR! System Windows_NT 6.1.7601
[ERROR] node-pre-gyp ERR! command "C:\\Projects\\openam\\openam-ui\\openam-ui-ria\\node\\node.exe" "C:\\Projects\\openam\\openam-ui\\openam-ui-ria\\node_modules\\fsevents\\node_modules\\node-pre-gyp\\bin\\node-pre-gyp" "install" "--fallback-to-build"
[ERROR] node-pre-gyp ERR! cwd C:\Projects\openam\openam-ui\openam-ui-ria\node_modules\fsevents
[ERROR] node-pre-gyp ERR! node -v v4.4.7
[ERROR] node-pre-gyp ERR! node-pre-gyp -v v0.6.29
[ERROR] node-pre-gyp ERR! not ok
[INFO] sigmund@1.0.1 node_modules\sigmund -> node_modules\gaze\node_modules\glob\node_modules\sigmund
[INFO] openam-ui-ria@14.0.0 C:\Projects\openam\openam-ui\openam-ui-ria
[INFO] `-- gaze@1.0.0
[INFO]   `-- globule@0.2.0
[INFO]     `-- minimatch@0.2.14
[INFO]       `-- sigmund@1.0.1
[INFO]
[ERROR] npm ERR! Windows_NT 6.1.7601
[ERROR] npm ERR! argv "C:\\Projects\\openam\\openam-ui\\openam-ui-ria\\node\\node.exe" "C:\\Projects\\openam\\openam-ui\\openam-ui-ria\\node\\node_modules\\npm\\bin\\npm-cli.js" "install"
[ERROR] npm ERR! node v4.4.7
[ERROR] npm ERR! npm  v3.10.5
[ERROR] npm ERR! code ELIFECYCLE
[ERROR]
[ERROR] npm ERR! fsevents@1.0.14 install: `node-pre-gyp install --fallback-to-build`
[ERROR] npm ERR! Exit status 1
[ERROR] npm ERR!
[ERROR] npm ERR! Failed at the fsevents@1.0.14 install script 'node-pre-gyp install --fallback-to-build'.
[ERROR] npm ERR! Make sure you have the latest version of node.js and npm installed.
[ERROR] npm ERR! If you do, this is most likely a problem with the fsevents package,
[ERROR] npm ERR! not with npm itself.


Thanks,
Yakov

_______________________________________________
Visit the OpenAM forum at https://forgerock.org/forum/fr-projects/openam/
OpenAM mailing list
[hidden email]
https://lists.forgerock.org/mailman/listinfo/openam
Reply | Threaded
Open this post in threaded view
|  
Report Content as Inappropriate

Re: [OPENAM] Building from source, fixing environment

Yakov Revyakin
So, how to deal with this behavoiur? Any ideas?

On 22 August 2016 at 09:34, Yakov Revyakin <[hidden email]> wrote:
Hi guys,
Excuse me but I a little bit lost myself trying to build openam from source.
Could you advice me where here I can ask questions about building process?
I have problems with building the "openam-ui-ria" task on Windows 7(64).

Just in case, I have the next behaviour:

[INFO] > node-pre-gyp install --fallback-to-build
[INFO]
[ERROR] node-pre-gyp ERR! Pre-built binaries not found for fsevents@1.0.14 and node@4.4.7 (node-v46 ABI) (falling back to source compile with node-gyp)
[INFO]
[INFO] C:\Projects\openam\openam-ui\openam-ui-ria\node_modules\fsevents>if not defined npm_config_node_gyp (node "C:\Projects\openam\openam-ui\openam-ui-ria\node\node_modules\npm\bin\node-gyp-bin\\..\..\node_modules\node-gyp\bin\node-gyp.js" clean )  else (node "" clean )
[INFO]
[INFO] C:\Projects\openam\openam-ui\openam-ui-ria\node_modules\fsevents>if not defined npm_config_node_gyp (node "C:\Projects\openam\openam-ui\openam-ui-ria\node\node_modules\npm\bin\node-gyp-bin\\..\..\node_modules\node-gyp\bin\node-gyp.js" configure --fallback-to-build --module=C:\Projects\openam\openam-ui\openam-ui-ria\node_modules\fsevents\lib\binding\Release\node-v46-win32-x64\fse.node --module_name=fse --module_path=C:\Projects\openam\openam-ui\openam-ui-ria\node_modules\fsevents\lib\binding\Release\node-v46-win32-x64 )  else (node "" configure --fallback-to-build --module=C:\Projects\openam\openam-ui\openam-ui-ria\node_modules\fsevents\lib\binding\Release\node-v46-win32-x64\fse.node --module_name=fse --module_path=C:\Projects\openam\openam-ui\openam-ui-ria\node_modules\fsevents\lib\binding\Release\node-v46-win32-x64 )
[ERROR] Traceback (most recent call last):
[ERROR]   File "C:\Projects\openam\openam-ui\openam-ui-ria\node\node_modules\npm\node_modules\node-gyp\gyp\gyp_main.py", line 16, in <module>
[ERROR]     sys.exit(gyp.script_main())
[ERROR]   File "C:\Projects\openam\openam-ui\openam-ui-ria\node\node_modules\npm\node_modules\node-gyp\gyp\pylib\gyp\__init__.py", line 545, in script_main
[ERROR]     return main(sys.argv[1:])
[ERROR]   File "C:\Projects\openam\openam-ui\openam-ui-ria\node\node_modules\npm\node_modules\node-gyp\gyp\pylib\gyp\__init__.py", line 538, in main
[ERROR]     return gyp_main(args)
[ERROR]   File "C:\Projects\openam\openam-ui\openam-ui-ria\node\node_modules\npm\node_modules\node-gyp\gyp\pylib\gyp\__init__.py", line 523, in gyp_main
[ERROR]     generator.GenerateOutput(flat_list, targets, data, params)
[ERROR]   File "C:\Projects\openam\openam-ui\openam-ui-ria\node\node_modules\npm\node_modules\node-gyp\gyp\pylib\gyp\generator\msvs.py", line 2003, in GenerateOutput
[ERROR]     sln_projects, project_objects, flat=msvs_version.FlatSolution())
[ERROR]   File "C:\Projects\openam\openam-ui\openam-ui-ria\node\node_modules\npm\node_modules\node-gyp\gyp\pylib\gyp\generator\msvs.py", line 1762, in _GatherSolutionFolders
[ERROR]     return _DictsToFolders('', root, flat)
[ERROR]   File "C:\Projects\openam\openam-ui\openam-ui-ria\node\node_modules\npm\node_modules\node-gyp\gyp\pylib\gyp\generator\msvs.py", line 1715, in _DictsToFolders
[ERROR]     for folder, contents in bucket.iteritems():
[ERROR] AttributeError: 'MSVSProject' object has no attribute 'iteritems'
[ERROR] gyp ERR! configure error
[ERROR] gyp ERR! stack Error: `gyp` failed with exit code: 1
[ERROR] gyp ERR! stack     at ChildProcess.onCpExit (C:\Projects\openam\openam-ui\openam-ui-ria\node\node_modules\npm\node_modules\node-gyp\lib\configure.js:305:16)
[ERROR] gyp ERR! stack     at emitTwo (events.js:87:13)
[ERROR] gyp ERR! stack     at ChildProcess.emit (events.js:172:7)
[ERROR] gyp ERR! stack     at Process.ChildProcess._handle.onexit (internal/child_process.js:200:12)
[ERROR] gyp ERR! System Windows_NT 6.1.7601
[ERROR] gyp ERR! command "C:\\Projects\\openam\\openam-ui\\openam-ui-ria\\node\\node.exe" "C:\\Projects\\openam\\openam-ui\\openam-ui-ria\\node\\node_modules\\npm\\node_modules\\node-gyp\\bin\\node-gyp.js" "configure" "--fallback-to-build" "--module=C:\\Projects\\openam\\openam-ui\\openam-ui-ria\\node_modules\\fsevents\\lib\\binding\\Release\\node-v46-win32-x64\\fse.node" "--module_name=fse" "--module_path=C:\\Projects\\openam\\openam-ui\\openam-ui-ria\\node_modules\\fsevents\\lib\\binding\\Release\\node-v46-win32-x64"
[ERROR] gyp ERR! cwd C:\Projects\openam\openam-ui\openam-ui-ria\node_modules\fsevents
[ERROR] gyp ERR! node -v v4.4.7
[ERROR] gyp ERR! node-gyp -v v3.4.0
[ERROR] gyp ERR! not ok
[ERROR] node-pre-gyp ERR! build error
[ERROR] node-pre-gyp ERR! stack Error: Failed to execute 'node-gyp.cmd configure --fallback-to-build --module=C:\Projects\openam\openam-ui\openam-ui-ria\node_modules\fsevents\lib\binding\Release\node-v46-win32-x64\fse.node --module_name=fse --module_path=C:\Projects\openam\openam-ui\openam-ui-ria\node_modules\fsevents\lib\binding\Release\node-v46-win32-x64' (1)
[ERROR] node-pre-gyp ERR! stack     at ChildProcess.<anonymous> (C:\Projects\openam\openam-ui\openam-ui-ria\node_modules\fsevents\node_modules\node-pre-gyp\lib\util\compile.js:83:29)
[ERROR] node-pre-gyp ERR! stack     at emitTwo (events.js:87:13)
[ERROR] node-pre-gyp ERR! stack     at ChildProcess.emit (events.js:172:7)
[INFO] Failed to execute 'node-gyp.cmd configure --fallback-to-build --module=C:\Projects\openam\openam-ui\openam-ui-ria\node_modules\fsevents\lib\binding\Release\node-v46-win32-x64\fse.node --module_name=fse --module_path=C:\Projects\openam\openam-ui\openam-ui-ria\node_modules\fsevents\lib\binding\Release\node-v46-win32-x64' (1)
[ERROR] node-pre-gyp ERR! stack     at maybeClose (internal/child_process.js:827:16)
[ERROR] node-pre-gyp ERR! stack     at Process.ChildProcess._handle.onexit (internal/child_process.js:211:5)
[ERROR] node-pre-gyp ERR! System Windows_NT 6.1.7601
[ERROR] node-pre-gyp ERR! command "C:\\Projects\\openam\\openam-ui\\openam-ui-ria\\node\\node.exe" "C:\\Projects\\openam\\openam-ui\\openam-ui-ria\\node_modules\\fsevents\\node_modules\\node-pre-gyp\\bin\\node-pre-gyp" "install" "--fallback-to-build"
[ERROR] node-pre-gyp ERR! cwd C:\Projects\openam\openam-ui\openam-ui-ria\node_modules\fsevents
[ERROR] node-pre-gyp ERR! node -v v4.4.7
[ERROR] node-pre-gyp ERR! node-pre-gyp -v v0.6.29
[ERROR] node-pre-gyp ERR! not ok
[INFO] sigmund@1.0.1 node_modules\sigmund -> node_modules\gaze\node_modules\glob\node_modules\sigmund
[INFO] openam-ui-ria@14.0.0 C:\Projects\openam\openam-ui\openam-ui-ria
[INFO] `-- gaze@1.0.0
[INFO]   `-- globule@0.2.0
[INFO]     `-- minimatch@0.2.14
[INFO]       `-- sigmund@1.0.1
[INFO]
[ERROR] npm ERR! Windows_NT 6.1.7601
[ERROR] npm ERR! argv "C:\\Projects\\openam\\openam-ui\\openam-ui-ria\\node\\node.exe" "C:\\Projects\\openam\\openam-ui\\openam-ui-ria\\node\\node_modules\\npm\\bin\\npm-cli.js" "install"
[ERROR] npm ERR! node v4.4.7
[ERROR] npm ERR! npm  v3.10.5
[ERROR] npm ERR! code ELIFECYCLE
[ERROR]
[ERROR] npm ERR! fsevents@1.0.14 install: `node-pre-gyp install --fallback-to-build`
[ERROR] npm ERR! Exit status 1
[ERROR] npm ERR!
[ERROR] npm ERR! Failed at the fsevents@1.0.14 install script 'node-pre-gyp install --fallback-to-build'.
[ERROR] npm ERR! Make sure you have the latest version of node.js and npm installed.
[ERROR] npm ERR! If you do, this is most likely a problem with the fsevents package,
[ERROR] npm ERR! not with npm itself.


Thanks,
Yakov


_______________________________________________
Visit the OpenAM forum at https://forgerock.org/forum/fr-projects/openam/
OpenAM mailing list
[hidden email]
https://lists.forgerock.org/mailman/listinfo/openam
Loading...